Bug 113826 - Crash when trying to edit style with context menu of Date Area
Summary: Crash when trying to edit style with context menu of Date Area
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-11-14 14:03 UTC by Cor Nouws
Modified: 2017-12-29 15:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (14.72 KB, text/plain)
2017-11-14 20:04 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-11-14 14:03:03 UTC
Start presentation (no template needed)
View > Master Slide
richt click on Date Area
choose Edit Style
  > Crash

Found in Version: 6.0.0.0.alpha1+
Build ID: 930efab3be7dd818918b7116119bb049acdcda76
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-13_07:08:57
Locale: nl-NL (nl_NL.UTF-8); Calc: group


( The crash dialog kindly shows this text, but no number to check??:

"Please check the report and if no bug report is connected to the crash report yet, open a new bug report at bugs.documentfoundation.org.
Add detailed instructions on how to reproduce the crash and the shown crash ID into the crash report field.
Thank you for your help in improving LibreOfficeDev daily20171113.")
Comment 1 Xisco Faulí 2017-11-14 14:05:20 UTC
Confirmed in

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group
Comment 2 Cor Nouws 2017-11-14 14:06:51 UTC
also crashes when trying to edit style "Background objects" in pane "Styles and Formatting"
Comment 3 Xisco Faulí 2017-11-14 14:19:51 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-08-11 11:26:30 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-08-13 13:42:03 (GMT)
commit	6284804c2ccb3ad8bb6e1c1dac8d622f66b8c07d (patch)
tree	ab5e6d8c1a8ae8b61824d262cd0424030c89779d
parent	f70e978f4bf223d7edbb4c3a981f46938a3b3ed1 (diff)
move the SvxBackgroundColorItem<->SvxBrushItem conversion
into the dialog itself

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 4 Julien Nabet 2017-11-14 20:04:54 UTC
Created attachment 137760 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
I attached a bt.
Comment 5 Caolán McNamara 2017-11-14 20:57:49 UTC
https://gerrit.libreoffice.org/#/c/44740/
Comment 6 Commit Notification 2017-11-15 08:57:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f11ab0a62e0370d453f8b89497a1a2274776f36

Resolves: tdf#113826 use brush vs background conversion mode of dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2017-11-16 20:10:59 UTC
On pc Debian x86-64 with master sources updated today, I confirm the pb is fixed.
Thank you Caolán!
Comment 8 Cor Nouws 2017-12-29 15:23:34 UTC
(In reply to Cor Nouws from comment #2)
> also crashes when trying to edit style "Background objects" in pane "Styles
> and Formatting"

also fixed (of course..) inVersion: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-26_23:09:36
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded